<?php
if ( !defined( 'SMARTY_DIR' ) ) {
	include_once( '../init.php' );
}

include( 'sessioninc.php' );

include_once(LIB_DIR . 'blog_class.php');

$blog =& new Blog(true);

// If we were bounced here with a error message, save it
//
if ( isset($_GET['error_name']) ) {

      $t->assign ( 'error_message', get_lang('blog_errors', $_GET['error_name']) );
}

// Edit the preferences if save button pressed
//
if ( $_POST['action'] == 'edit_pref' ) {

      $blog->saveSettings($_SESSION['AdminId']);


      if ( $blog->getErrorMessage() ) {

          $t->assign ( 'error_message', $blog->getErrorMessage() );

          $row = $blog->getSettings();
      }
      else {

		if ($blog->getStoryCount($_SESSION['UserId']) <= 0) {
			header( 'location: addblog.php' );
		} else {
         // After saving, go to blog list page
         header( 'location: bloglist.php' );
		}
         exit;
      }

} else {
// Display current info
//
   $blog->loadSettings($_SESSION['AdminId']);
   $blog->prepSettings();
   // Strip slashes

   $row = $blog->getSettings();
}

// If user turned off the gui editor, display the normal text box
//

$t->assign('gui_editor', $blog->settings['gui_editor']);

$t->assign( 'row', $row );
$t->assign( 'blog_description_form', html_entity_decode($row['description']) );
unset($row);

// Make the page
//
$t->assign('rendered_page', $t->fetch('admin/blogsettings.tpl') );

$t->display( 'admin/index.tpl' );

exit;

?>
